local args = { ... }

local target_branch = "main"
local bin_path = "/bin/"
local lib_path = "/lib/"
local startup_path = "/startup/"


function download(remote_path, local_path)
    io.write("Downloading " .. remote_path .. " to " .. local_path .. "\n")
    response = http.get("https://gitea.layla.gg/layla/computercraft/raw/branch/" .. target_branch .. "/" .. remote_path, nil)
    if response.getResponseCode() == 200 then
        file = fs.open(local_path, "w")
        file.write(response.readAll())
        file.close()
    else
        io.write("Failed to update " .. remote_path .. "\n")
        io.write(response) 
    end
end


-- Startup
download("utils/lsh.lua", startup_path .. "lsh.lua")

-- Lib
download("lib/lns.lua", lib_path .. "lns.lua")
download("lib/lum.lua", lib_path .. "lum.lua")

-- Bin
download("lum.lua", bin_path .. "lum.lua")

-- Run lsh
ok = shell.run(startup_path .. "lsh.lua")
if not ok then
    io.write("Failed to run lsh!\n")
    return
end

-- Packages
lum.install("dig")
lum.install("auth")

io.write("Done!\n")