local target_branch = "main"
local bin_path = "/bin/"
local lib_path = "/lib/"
local startup_path = "/startup/"

function download_lua(remote_path, local_path)
    response = http.get("https://gitea.layla.gg/layla/computercraft/raw/branch/" .. target_branch .. "/" .. program_name .. ".lua", nil)
    if response.getResponseCode() == 200 then
        file = fs.open(local_path, "w")
        file.write(response.readAll())
        file.close()
    end
    else
        io.write("Failed to update " .. program_name .. ".lua\n")
        io.write(response) 
    end
end

function install(package)
    io.write("Installing " .. package .. "\n")
    download_lua("packages/" .. package .. ".lua", bin_path .. package .. ".lua")
end